package cn.stylefeng.workflow.api.format;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.ObjectUtil;
import cn.hutool.extra.spring.SpringUtil;
import cn.stylefeng.roses.kernel.rule.format.BaseSimpleFieldFormatProcess;
import cn.stylefeng.workflow.api.DefinitionApi;

public class DefinitionFormatProcess extends BaseSimpleFieldFormatProcess {

    @Override
    public Class<?> getItemClass() {
        return Long.class;
    }

    @Override
    public Object simpleItemFormat(Object businessId) {
        if (ObjectUtil.isEmpty(businessId)) {
            return null;
        }

        DefinitionApi definitionApi = SpringUtil.getBean(DefinitionApi.class);

        try {
            return definitionApi.getDefinitionInfo(Convert.toLong(businessId));
        } catch (Exception e) {

            return null;
        }
    }

}
